Subject: Re: [PATCH] format-patch: dereference tags with --ignore-if-in-upstream

From: Jeff King <[email-masked]>
Date: Mon, 1 Jun 2015 13:47:12 -0400

On Mon, Jun 01, 2015 at 10:44:21AM -0700, Junio C Hamano wrote:

> > Shouldn't you ensure o1 and o2 are commits here?
> 
> Heh, I should have read the remainder of the thread before
> responding.
> 
> How about doing it this way?  We know and trust that existing
> revision traversal machinery is doing the right thing, and it is
> only that the clear_commit_marks() calls are botched.

Yeah, I think this matches the recommendation I gave in the last round.

I do still think we could get rid of this "second" traversal entirely in
favor of using "--cherry", but that is a much larger topic. Even if
somebody wants to pursue that, the immediate fix should look like this.

-Peff